Package org.eclipse.emf.cdo.spi.server

# Class RepositoryUserManager.RepositoryAuthenticatorFactory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.security.AuthenticatorFactory
org.eclipse.emf.cdo.spi.server.RepositoryUserManager.RepositoryAuthenticatorFactory

All Implemented Interfaces:
  `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Enclosing class:
  `RepositoryUserManager`

public abstract static class RepositoryUserManager.RepositoryAuthenticatorFactory extends org.eclipse.net4j.util.security.AuthenticatorFactory
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.2
Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.security.AuthenticatorFactory

`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RepositoryAuthenticatorFactory(String type)`

## Method Summary

Modifier and Type
Method
Description
`final Object`
`create(String description)`
`protected abstract RepositoryUserManager`
`doCreate(String description)`
`protected String`
`getRepositoryName(String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RepositoryAuthenticatorFactory

protected RepositoryAuthenticatorFactory(String type)

## Method Details

### create

public final Object create(String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`

### getRepositoryName

protected String getRepositoryName(String description)

### doCreate

protected abstract RepositoryUserManager doCreate(String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`